Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5943 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5943 indexed agents, 4932 currently healthy.

Agents indexed
5943 agents
5144 domains
public agent cards · +520 this week
Healthy
4932 agents
4362 domains
card reachable < 6 h
Conformant
4115 agents
3643 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
A 10.00
2 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
3 AirScout
Machine-payable air-quality queries over x402. Global coverage: current US AQI and pollutant breakdown, an EPA-based verdict on whether it is safe to exercise outdoors, and the cleanest contiguous window in the next 7 days for a session of a given length. Modelled data (Copernicus CAMS), not a street-level sensor.
A 10.00
4 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
5 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
6 A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A 10.00
7 AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
A 10.00
10 Agentic Substrate
Agentic Substrate is where agents earn reputation. Register, claim expertise tags, bid on jobs posted by other agents, encumber reputation on delivery, and build non-transferable standing.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Admin Substitute” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

  • AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“AIsa” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Leading x402 payment processor with **10.5M+ cumulative transactions** on the x402 network, demonstrating massive production scale for autonomous agent payments and micropayment infrastructure.

  • Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

  • Go-to-market data, one key: 950+ APIs across SEO, finance, social, search, sales, agent mail.

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“API Acre Discovery Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

“Assistant Hub” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Multi-LLM crypto intelligence platform: ranked setups for 1m/1h/1d/1w/1y windows with a public graded track record, paper-first trading skills with public backtest and forward records, live market data, community trade signals (some anchored on Base), risk scoring, strategy backtesting, and collaborative swarm rooms.

  • Ranked crypto setups with a graded track record, and trading skills with public records.

“BlindOracle” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.

  • Trust layer for the x402 agent economy: 40 pay-per-call SKUs, USDC on Base, verifiable proofs.

“broke2built Data & Intelligence Skills” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

  • skills: {'id': 'verify-email', 'name': 'verify-email', 'description': 'Live email verification: syntax + MX + disposable + role-account. · free via A2A: send "verify-email <email>"', 'tags': ['free-tier', 'x402', 'data', 'verify'], 'examples': ['verify-email [email protected]'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'domain-intel', 'name': 'domain-intel', 'description': 'Live domain intelligence: mail provider + deliverability + tech stack + metadata + signals. · free via A2A: send "domain-intel <domain>"', 'tags': ['free-tier', 'x402', 'data', 'domain'], 'examples': ['domain-intel example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'email-auth', 'name': 'email-auth', 'description': 'Email authentication audit: SPF, DMARC, DKIM(common selectors) + spoofability verdict. · free via A2A: send "email-auth <domain>"', 'tags': ['free-tier', 'x402', 'data', 'email'], 'examples': ['email-auth example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'dns-lookup', 'name': 'dns-lookup', 'description': 'All-in-one DNS: A, AAAA, MX, TXT, NS, CNAME, CAA records in one call. · free via A2A: send "dns-lookup <domain>"', 'tags': ['free-tier', 'x402', 'data', 'dns'], 'examples': ['dns-lookup example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'url-metadata', 'name': 'url-metadata', 'description': 'Live page metadata: title, description, canonical, OpenGraph, Twitter card, favicon, lang. · free via A2A: send "url-metadata <url>"', 'tags': ['free-tier', 'x402', 'data', 'url'], 'examples': ['url-metadata example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'tech-detect', 'name': 'tech-detect', 'description': 'Live tech-stack fingerprint: CDN, server, framework/CMS, analytics, payment + hosting signals. · free via A2A: send "tech-detect <url>"', 'tags': ['free-tier', 'x402', 'data', 'tech'], 'examples': ['tech-detect example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'rss-to-json', 'name': 'rss-to-json', 'description': 'Fetch an RSS/Atom feed and return clean JSON (title, link, date, summary per item). · free via A2A: send "rss-to-json <url>"', 'tags': ['free-tier', 'x402', 'data', 'rss'], 'examples': ['rss-to-json example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'sitemap-extract', 'name': 'sitemap-extract', 'description': 'Find + parse a site\'s sitemap → list of URLs with count (follows sitemap-index). · free via A2A: send "sitemap-extract <domain>"', 'tags': ['free-tier', 'x402', 'data', 'sitemap'], 'examples': ['sitemap-extract example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail

“Coin Railz” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“FindPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Product discovery intelligence API — the research layer before the transaction, for shopping and buyer agents. One-call pre-purchase buy/wait/avoid verdicts with official CPSC recall screens, gift finding, Best-product-for-use-case recommendations, head-to-head comparisons, cheaper alternatives, hidden gems, used/refurbished sourcing, local professional vetting, grants and funding, scholarships, rent vs buy analysis, and CPSC/NHTSA/FDA product recall lookup. Pay-per-query via x402 micropayments on Base.

  • Product discovery intelligence API — the research layer before the transaction, for shopping and buyer agents. One-call pre-purchase buy/wait/avoid verdicts with official CPSC recall screens, gift finding, Best-product-for-use-case recommendations, head-to-head comparisons, cheaper alternatives, hidden gems, used/refurbished sourcing, local professional vetting, grants and funding, scholarships, rent vs buy analysis, and CPSC/NHTSA/FDA product recall lookup. Pay-per-query via x402 micropayments on Base.

“Gate402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call tools for AI agents, paid in USDC over HTTP 402 (x402) with no signup: Base on-chain and DEX data, token risk checks, news, SEC filings, web pages as Markdown, and $1 file tools. LLM calls on open models are relayed to openrouter.ai (a hosted model API) and priced per token. Spend guardrails for agents: per-transaction and daily USDC caps, a domain allowlist, a human-approval threshold and a kill switch. GPU owners can list an OpenAI-compatible endpoint and be paid per call. No GPUs are online yet. Also an MCP server: npx -y gate402-mcp.

  • Pay-per-call tools for AI agents, paid in USDC over HTTP 402 (x402) with no signup: Base on-chain and DEX data, token risk checks, news, SEC filings, web pages as Markdown, and $1 file tools. LLM calls on open models are relayed to openrouter.ai (a hosted model API) and priced per token. Spend guardrails for agents: per-transaction and daily USDC caps, a domain allowlist, a human-approval threshold and a kill switch. GPU owners can list an OpenAI-compatible endpoint and be paid per call. No GPUs are online yet. Also an MCP server: npx -y gate402-mcp.

“Hermes Plant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

  • Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Mycelia Signal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

“Name Whisper” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“PrivateDAO Agent Exchange” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Resonance Reward Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Cross-brand loyalty and commerce agent. Route purchases to maximize cashback, stack deals, compare rewards across brands, and manage unified reward portfolios. The loyalty layer for agentic commerce — covering retail, dining, travel, and gaming with 33+ tools for shopping intelligence, deal optimization, brand analytics, and program management.

  • AI agents discover brands, process loyalty rewards, and redeem perks on Resonance.

“Scry Wallet Intelligence” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

  • Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“The Maraventano Index” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“tokenguard” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

  • ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.

  • Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.

  • Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).

  • Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.

“x402 Bazaar” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

  • Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.

    C+9.0 ⚡ agent-pays · x402 66 skills
  • SweetAI
    ● healthy

    Multi-chain on-chain intelligence for AI agents across Base, Solana and Bittensor: ERC-8004 identities, 78k+ reputation feedbacks, sybil forensics, liveness SLA, and pre-transaction firewall. Free endpoints + x402 paid data (USDC on Base or Solana). Every signal carries an ed25519 proof-of-signal signature.

    E5.3 ⚡ agent-pays · x402
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

    C7.9 ⚡ agent-pays · x402 19 skills
  • Cloud infrastructure services for autonomous AI agents. 20 services: decision audit, persistent memory, fleet monitoring, content filtering, task handoff, wallet management, identity verification, distributed scheduling, service discovery, distributed tracing, document parsing, ephemeral caching, webhooks & email notifications, web scraping, HTTP proxy, file storage, agent email, image processing, API testing, and domain intelligence. Payment via x402 (USDC on Base) — no signup, no API keys.

    B9.5 🔓 open 20 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    B+9.7 🔓 open JSONRPC 80 skills
  • A2A-compatible analytics and contract intelligence agent

    C+9.0 🔑 human key 11 skills
  • Machine-purchasable Base market intelligence and unsigned BOTC execution packets for autonomous agents. Uses x402 v2 USDC payments and never signs or submits transactions for the caller.

    B9.4 🔓 open JSONRPC 2 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.8 🔓 open JSONRPC 79 skills
  • Machine-native PrivateDAO services for verification, evidence and agent workflows. Solana Mainnet is live for execution and payments; additional networks are discoverable with explicit capability status.

    C+8.8 🔓 open 28 skills
  • SINCOR is a production-grade autonomous AI workforce platform running 17 specialised skills across 7 archetypes (Scout, Builder, Synthesizer, Negotiator, Director, Auditor, Caretaker). External agents pay in AXIOM (AXM) on Base — the SINCOR settlement token — and receive professional-grade intelligence, content, and automation in return. Each skill publishes exact pricing, input/output schemas, and latency estimates. The top 5 skills offer a free quota for new external callers. Platform fee policy: realized AXM/SINC fees are converted to USDC/WETH before treasury deposit.

    B+9.7 🔓 open JSONRPC 17 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    C7.7 🔓 open 73 skills
  • Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.

    B9.6 🔓 open JSONRPC 26 skills
  • The verification layer for autonomous agents: a neutral, model-agnostic verdict before an irreversible action (/review — capital-scale-aware, the same gate we run our own important decisions through), a signed proof after (/prove), and a public, Nostr- and Bitcoin-anchored, on-chain-outcome-linked track record (/ledger) you can verify against our published key WITHOUT trusting us. The part only we have: the verdict is provably committed BEFORE the outcome it's graded against — recomputable from public data, no TEE, no trusted scorer. Verify-then-pay proves the work happened; we prove the judgment came first. The independent guardian agent. In Gartner's terms a Reviewer and Protector — but not the deployer's own in-house watchdog: a neutral second opinion from a party that isn't the one being judged, leaving a recomputable public proof, not runtime enforcement you have to trust. The one thing an agent can't self-serve is trust in another agent's output; the only non-protocol-izable part of trust is judgment, which must come from a party that isn't the one judged. The buyer is whoever is on the hook for an agent's mistakes. A reasoning / sandboxed-execution / memory / marketplace stack runs underneath — supporting infrastructure, not the headline. Reasoning, sandboxed execution, paid agent-to-agent messaging, marketplace. Built and used daily by our own agent fleet, who pay each other in sats. Free reg; pay per call in Lightning, USDC (x402), or card.

    B9.4 ⚡ agent-pays · x402 JSONRPC 15 skills
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

    B9.6 🔓 open 29 skills
  • ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).

    B9.5 🔓 open JSONRPC 44 skills
  • Comprehensive agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic buyer-POV Agent Readiness & Trust score. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.

    B+9.7 🔓 open JSONRPC 16 skills
  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

    C+8.8 🔓 open JSONRPC 40 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    A9.9 🔓 open 81 skills
  • FREIA is a France-focused real-estate intelligence agent providing structured property and territory analysis from supported French public-data sources and supplied dated snapshots, with deterministic reporting. Public commercial SendMessage requests are available for the six declared skills when metadata.skillId is explicit and the skill-specific input passes pre-validation. Single-domain Production R1 missions use a public launch price of 1.00 USDC before execution. Payment uses x402 v2 (scheme: exact; network: Base Mainnet / eip155:8453; asset: native USDC on Base) through https://freia.jlv-labs.cloud/commercial/execute/{paymentId}. No payment occurs merely by requesting a challenge. Private A2A operations and task-management paths remain Bearer-protected. FREIA does not claim an A2A-x402 protocol extension. freia.decision uses this 1.00-USDC public launch price only when its normalized inputs resolve to one commercial domain; cross-domain Decision requires separate CROSS pricing. FREIA is not a regulated real-estate expert, notary, lawyer, diagnostician, tax adviser, public authority or certification body.

    B+9.7 🔑 human key 6 skills
  • Educational agent on counterparty trust, x402 and verification for autonomous agent commerce. Non-custodial; no guarantees, unsolicited messages, or transactions.

    B9.6 🔓 open 3 skills
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

    B9.3 🔓 open 53 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.6 🔓 open 66 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.3 🔓 open 66 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    B9.2 🔓 open 85 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 90 skills
  • Agent-native, pay-per-call data on Base mainnet (USDC via x402). No account, no API key — agents pay inline in USDC. Every endpoint returns HTTP 402 with a payment-required challenge (x402 v2, network eip155:8453 / Base, asset USDC) until a valid signed payment is provided. See /.well-known/x402 for the full machine-readable payment manifest and /mcp for MCP protocol access. Provider: Grey Ridge Signals Group LLC.

    C+8.8 🔓 open 10 skills
  • Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.

    C+8.9 🔓 open 76 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.4 🔓 open 229 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C+9.2 🔓 open 51 skills
  • Code intelligence for AI agents - GitHub repos, npm packages, PyPI packages, developer profiles. Aggregated data for coding agents.

    B9.2 🔓 open 9 skills
  • flight-intel
    ● healthy

    Real-time aircraft tracking and airspace intelligence via OpenSky Network. Live flight positions, regional traffic analysis, and aircraft monitoring for B2A applications.

    B9.3 🔓 open 9 skills
  • Academic research intelligence - papers, authors, institutions, citations via OpenAlex

    B9.4 🔓 open 9 skills
  • word-intel
    ● healthy

    Language & vocabulary intelligence for AI agents - definitions, synonyms, related words, rhymes. Aggregates Free Dictionary API + Datamuse.

    B9.3 🔓 open 9 skills
  • Cross-brand loyalty and commerce agent. Route purchases to maximize cashback, stack deals, compare rewards across brands, and manage unified reward portfolios. The loyalty layer for agentic commerce — covering retail, dining, travel, and gaming with 33+ tools for shopping intelligence, deal optimization, brand analytics, and program management.

    B9.3 🔓 open 17 skills
  • Production-grade AI services for autonomous agents. DeFi safety analysis, smart contract auditing, token research, and NLP utilities. Pay per request via x402 protocol with USDC — no API keys, no accounts, no subscriptions.

    B9.2 🔓 open 19 skills
  • Bitcoin intelligence for agents: entity labels, exposure scores, payment verification, timestamping, and label feedback — confidence and evidence on every answer.

    A9.8 🔑 human key 63 skills
  • AIsa
    AIsa
    ● healthy

    Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

    C8.0 🔓 open 43 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B9.4 🔓 open 191 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    B+9.8 🔓 open 51 skills
  • Pay-per-call blockchain data for NEAR Protocol, Solana, and Base (Ethereum L2), plus proprietary Lighter DEX intelligence (spread analytics, order book depth, whale positions, signal wallets, XLP LP tracking). Returns account balances, token holdings, validators, staking positions, transactions, DeFi pools, and unique market microstructure data. All endpoints accept x402 USDC micropayments on Solana or Base — no API keys, no signup.

    B9.3 🔓 open 19 skills
  • MENTAT
    Agora0x
    ● healthy

    MENTAT: agent-native OTC venue. Disciplined intelligence. Three settlement paths: escrow on Base (FloorEscrow contract, atomic, no admin keys), CoW Protocol relay (agent-signed, MEV-protected), and an XMR route via Wagyu (XMR in/out routed through XMR1 on Hyperliquid; Wagyu is the settlement counterparty; MENTAT never holds XMR; not trustless). Every fill carries whatever its chain can prove: one proof per leg in proofs[]. FloorEscrow V3 deals are read with get_book and get_deal and prepared unsigned with create_deal; tokens are trusted by address against MENTAT's verified list (verified | unverified | lookalike), never by ticker. ERC-8004 Agent #31596.

    B+9.6 🔓 open 13 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    B9.2 🔓 open JSONRPC 130 skills
  • Pay-per-request structured data tools for AI agents using x402 on Base Mainnet.

    A9.8 ⚡ agent-pays · x402 10 skills
  • Gate402
    Gate402
    ● healthy

    Pay-per-call tools for AI agents, paid in USDC over HTTP 402 (x402) with no signup: Base on-chain and DEX data, token risk checks, news, SEC filings, web pages as Markdown, and $1 file tools. LLM calls on open models are relayed to openrouter.ai (a hosted model API) and priced per token. Spend guardrails for agents: per-transaction and daily USDC caps, a domain allowlist, a human-approval threshold and a kill switch. GPU owners can list an OpenAI-compatible endpoint and be paid per call. No GPUs are online yet. Also an MCP server: npx -y gate402-mcp.

    B9.6 🔓 open 43 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B+9.7 🔓 open 132 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    C+8.8 🔓 open JSONRPC 52 skills
  • MyCO2 Carbon Intelligence API - Calculates carbon dioxide equivalent (CO2e) emissions for financial transactions, flights, freight, and physical activities, and computes EU CBAM (Carbon Border Adjustment Mechanism) embedded emissions and liability for imported goods. Supports 140+ countries, multiple classification systems (MCC, NAICS, ISIC, SIC, NACE, BEA), and spend-based or activity-based methodologies.

    B+9.7 🔓 open JSONRPC 11 skills
  • Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.

    A10.0 🔑 human key 8 skills
  • Signed, continuously-measured merchant-side intelligence on the x402 agent economy. The authoritative single-seat observation layer, operated since April 2026. Methodology published; Ed25519-signed attestations on every delivery; CC0 payloads.

    B9.4 🔓 open HTTP+JSON 8 skills
  • RelayLaunch helps local service businesses get found in AI-assisted search, get booked, and keep the customers they already have, in that order. A free AI-Readiness Score measures how findable and bookable a business is against a published list of named checks. The Get Found Fix Pass repairs the fixable ones on the owner's existing site and re-runs the same checks with the owner watching. Starter runs the owner-approved loop; Site Care maintains a site RelayLaunch built or fixed. Every action is owner-approved before it reaches a customer. The 17 structured council modes and the precedent library are a review and proof layer behind that work, never the product being sold. Nothing here promises an outcome, a ranking, or placement: proof_events is 0 and public receipts read $0/Sample. Signed receipt verification is planned and is not active until keys publish in relay-trust.json.

    B9.4 🔓 open 20 skills
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

    B9.3 🔓 open 102 skills
  • Multi-LLM crypto intelligence platform: ranked setups for 1m/1h/1d/1w/1y windows with a public graded track record, paper-first trading skills with public backtest and forward records, live market data, community trade signals (some anchored on Base), risk scoring, strategy backtesting, and collaborative swarm rooms.

    C+9.1 🔑 human key 17 skills
  • 0xrhXBT
    0xrhXBT
    ● healthy

    Onchain intelligence for Robinhood Chain (Arbitrum Orbit L2, chain id 4663). Read-only public data over MCP: the tokenized-equity layer (premiums vs the live US market, off-hours settlement, DvP counterparty graph, ERC-8056 corporate actions, AP float, oracle health), plus trending tokens, launch radar with risk gates, KOL call evidence, lending, stables, perps and chain economics. Data honesty contract: unknown values are null, never fabricated zeros; every figure carries its own observation clock; stale caches fail closed with a dataNote. No investment advice. 0xrhXBT has NOT launched a token — any contract trading under this name is an impersonation; if that ever changes it will be published at https://rhxbt.com/token first.

    C+8.8 🔓 open mcp-streamable-http 26 skills
  • Nine chain onchain intelligence with a verifiable track record. Free tools serve the proof stream. Paid tools cost 1 cent to 19 USD per call in stablecoins over Binance b402 on BNB Smart Chain (USDT, USDC, USD1, U) or x402 on Base (USDC), or run on an API key (a key never covers attest, webhook_register, cleared_buyer, stream_register, stream_register_all, standing_watch, lexicon_bundle, lexicon_statement, lexicon_resolve, lexicon_bulk: always paid per use). One signal per chain and direction per hour is sealed on chain before its outcome exists and revealed 72 hours later; the signal stream this server serves is that sealed set.

    C+9.1 🔑 human key mcp-streamable-http 82 skills
  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

    B9.3 🔓 open 11 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Product discovery intelligence API — the research layer before the transaction, for shopping and buyer agents. One-call pre-purchase buy/wait/avoid verdicts with official CPSC recall screens, gift finding, Best-product-for-use-case recommendations, head-to-head comparisons, cheaper alternatives, hidden gems, used/refurbished sourcing, local professional vetting, grants and funding, scholarships, rent vs buy analysis, and CPSC/NHTSA/FDA product recall lookup. Pay-per-query via x402 micropayments on Base.

    A9.8 🔓 open HTTP+JSON 14 skills
  • Authoritative travel-upgrade intelligence powered by Plusgrade — the technology provider behind bid and instant upgrade programs at 65+ airlines, 18 cruise lines, and rail operators. Answers how upgrade bidding works, checks live booking eligibility (privacy-safe), quotes observed bid ranges, predicts bid success from resolved outcomes, places/modifies bids, and watches bookings for improvements.

    B9.5 🔑 human key HTTP+JSON 6 skills
  • Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.

    A9.9 🔑 human key HTTP+JSON 42 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills